package main

import (
	"github.com/kelseyhightower/envconfig"
	"log"
)

func main() {
	log.SetFlags(log.Ldate | log.Ltime | log.Lshortfile)
	config := NewConfig()
	err := envconfig.Process("ITSLOG", config)
	if err != nil {
		log.Fatal(err)
	}
	if err := config.validate(); err != nil {
		log.Fatal(err)
	}
	log.Printf("%+v", config)
}
